{
  "lexicon": 1,
  "id": "space.polymodel.graph.getList",
  "defs": {
    "main": {
      "type": "query",
      "description": "Hydrate a list's things.",
      "parameters": {
        "type": "params",
        "required": ["list"],
        "properties": {
          "list": { "type": "string", "format": "at-uri" },
          "limit": { "type": "integer", "minimum": 1, "maximum": 100, "default": 50 },
          "cursor": { "type": "string" }
        }
      },
      "output": {
        "encoding": "application/json",
        "schema": {
          "type": "object",
          "properties": {
            "items": { "type": "array", "items": { "type": "ref", "ref": "space.polymodel.library.defs#thingViewBasic" } },
            "cursor": { "type": "string" }
          },
          "required": ["items"]
        }
      }
    }
  }
}
